# Rube

# Remove comparator, turn on barrier
execute if score @p Timer matches 0 run setblock ~ ~ ~-2 bricks
execute if score @p Timer matches 0 run function main:dialogues/barriers/rube_on

execute if score @p Timer matches 0 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Hello traveler! Welcome to my garden! How may I help you?","color":"gray"}]
execute if score @p Timer matches 0 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 60 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Down by the pond, Tamira told me to come to you if I have questions about 'Moonbeam'.","color":"gray"}]
execute if score @p Timer matches 60 run function main:dialogues/fx/player

execute if score @p Timer matches 120 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Ah, of course. As a descendent of the Moonbeam family, it would be my right to know at least something about him.","color":"gray"}]
execute if score @p Timer matches 120 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 220 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Awesome. So what do you know?","color":"gray"}]
execute if score @p Timer matches 220 run function main:dialogues/fx/player

execute if score @p Timer matches 260 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Well, he came here because of an interest in the Citadel there yonder.","color":"gray"}]
execute if score @p Timer matches 260 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 320 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" He created such an obsession with it that he built a town around it.","color":"gray"}]
execute if score @p Timer matches 320 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 380 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" He needed more man-power to enter the building, but he, rather they, never succeeded.","color":"gray"}]
execute if score @p Timer matches 380 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 440 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Why? It can't be THAT difficult to open a door!...Can it?","color":"gray"}]
execute if score @p Timer matches 440 run function main:dialogues/fx/player

execute if score @p Timer matches 500 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" It was. However, he discovered that brain, rather than brawn, was needed to enter it (quite literally).","color":"gray"}]
execute if score @p Timer matches 500 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 560 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" He uncovered the mystery of the Citadel.","color":"gray"}]
execute if score @p Timer matches 560 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 600 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" What do you mean? Explain, please.","color":"gray"}]
execute if score @p Timer matches 600 run function main:dialogues/fx/player

execute if score @p Timer matches 640 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Legend has it that there are four relics needed to open the door.","color":"gray"}]
execute if score @p Timer matches 640 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 700 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Two are underground, and rumor has it Moonbeam found one and kept it in his private collection in a small 'cellar'.","color":"gray"}]
execute if score @p Timer matches 700 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 800 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" What about the others?","color":"gray"}]
execute if score @p Timer matches 800 run function main:dialogues/fx/player

execute if score @p Timer matches 840 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" Some say one lies within the library, others say one lies north upon the 'Magic Isles'.","color":"gray"}]
execute if score @p Timer matches 840 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 940 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" If I were you, I would check out his home first and then talk to more people. Maybe they'd know.","color":"gray"}]
execute if score @p Timer matches 940 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 1000 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Thank you, Rube!","color":"gray"}]
execute if score @p Timer matches 1000 run function main:dialogues/fx/player

execute if score @p Timer matches 1040 run tellraw @p ["",{"text":"RUBE ›››","color":"green","bold":true},{"text":" You're welcome, traveler.","color":"gray"}]
execute if score @p Timer matches 1040 at @e[name="Rube"] run function main:dialogues/fx/fx

execute if score @p Timer matches 1080 run tellraw @p {"text":"- END OF DIALOGUE -","color":"dark_gray","bold":true}

########################################
# Increment
scoreboard players add @p Timer 1

# Turn off this command block
execute if score @p Timer matches 1081 run data merge block ~ ~ ~ {auto:0}

# Delete barrier wall
execute if score @p Timer matches 1081 run function main:dialogues/barriers/rube_off

# Tun on repeat for resetting comparator
execute if score @p Timer matches 1081 run data merge block ~ ~ ~2 {auto:1b}

# Reset Timer
execute if score @p Timer matches 1081 run scoreboard players set @p Timer 0