# Ferran

# Remove comparator, turn on barrier
execute if score @p Timer matches 0 run setblock ~ ~ ~-2 bricks
execute if score @p Timer matches 0 run function main:dialogues/barriers/ferran_on

execute if score @p Timer matches 0 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" ¡Bienvenidos al Café Girasol!","color":"gray"}]
execute if score @p Timer matches 0 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 60 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Welcome to the Café Girasol!","color":"gray"}]
execute if score @p Timer matches 60 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 120 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" This is Myrefall's most exquisite eatery where you will find luxurious meals with outstanding decor!","color":"gray"}]
execute if score @p Timer matches 120 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 210 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" May I seat you?","color":"gray"}]
execute if score @p Timer matches 210 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 250 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Sorry, but I am just wandering around the town right now.","color":"gray"}]
execute if score @p Timer matches 250 run function main:dialogues/fx/player

execute if score @p Timer matches 310 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Actually, I have a question regarding this town.","color":"gray"}]
execute if score @p Timer matches 310 run function main:dialogues/fx/player

execute if score @p Timer matches 370 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Well hopefully I have an answer! Ask away!","color":"gray"}]
execute if score @p Timer matches 370 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 420 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Is there anything special about the Citadel? Jeffrey made a point about it when I arrived.","color":"gray"}]
execute if score @p Timer matches 420 run function main:dialogues/fx/player

execute if score @p Timer matches 480 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Ummm... I don't know how to explain this is English so bear with me!","color":"gray"}]
execute if score @p Timer matches 480 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 540 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Todo que yo sé es que a Moonbeam quería entrarse en La Ciudadela, pero nunca lo hizo.","color":"gray"}]
execute if score @p Timer matches 540 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 620 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Con el tiempo, él se construyó 'Myrefall' para ayudarle con su misión.","color":"gray"}]
execute if score @p Timer matches 620 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 700 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Sin embargo, Moonbeam fracasó una vez más, y fue enterrado abajo de la calle.","color":"gray"}]
execute if score @p Timer matches 700 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 780 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" Alguien dice que hay una 'palanca' o algo al lado de su sepultura.","color":"gray"}]
execute if score @p Timer matches 780 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 820 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Hmm...","color":"gray"}]
execute if score @p Timer matches 820 run function main:dialogues/fx/player

execute if score @p Timer matches 860 run tellraw @p ["",{"text":"FERRAN ›››","color":"green","bold":true},{"text":" You understood it?","color":"gray"}]
execute if score @p Timer matches 860 at @e[name="Ferran"] run function main:dialogues/fx/fx

execute if score @p Timer matches 900 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Not quite. I'll need to spend some time translating it...","color":"gray"}]
execute if score @p Timer matches 900 run function main:dialogues/fx/player

execute if score @p Timer matches 940 run execute as @p run tellraw @p ["",{"text":"","extra":[{"selector":"@p"},{"text":" ›››"}],"color":"yellow","bold":true},{"text":" Anyway, I'll figure it out. Thanks Ferran!","color":"gray"}]
execute if score @p Timer matches 940 run function main:dialogues/fx/player

execute if score @p Timer matches 980 run tellraw @p {"text":"- END OF DIALOGUE -","color":"dark_gray","bold":true}

########################################
# Increment
scoreboard players add @p Timer 1

# Turn off this command block
execute if score @p Timer matches 981 run data merge block ~ ~ ~ {auto:0}

# Delete barrier wall
execute if score @p Timer matches 981 run function main:dialogues/barriers/ferran_off

# Tun on repeat for resetting comparator
execute if score @p Timer matches 981 run data merge block 2564 58 -207 {auto:1b}

# Reset Timer
execute if score @p Timer matches 981 run scoreboard players set @p Timer 0